OpenStack installation Problem

Issues related to applications and software problems
Post Reply
akilraj
Posts: 4
Joined: 2018/06/28 11:53:09

OpenStack installation Problem

Post by akilraj » 2018/07/08 16:16:38

I am trying to install OpenStack-Queens (packstack) in CentOS 7.2.1511. When i give

Code: Select all

 yum install openstack-packstack
it throws me this error.

Code: Select all

Finished Dependency Resolutions
Error: Package: python2-cryptography-2.1.4-1.e17.x86_64 (centos-openstack-queens) 
Requires: libcrypto.so.10(OPENSSL_1.0.2)(64bit) 

Error: Package: 1: openstack-packstack-12.0.0-2.e17.noarch (centos-openstack-queens)
I tried installing(updating) OPENSSL package also. But still it throws me these errors.
Help me to resolve this.

User avatar
avij
Forum Moderator
Posts: 2617
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: OpenStack installation Problem

Post by avij » 2018/07/08 16:18:13

Try "yum update" to update your system to 7.5.1804 first. Perhaps it helps.

akilraj
Posts: 4
Joined: 2018/06/28 11:53:09

Re: OpenStack installation Problem

Post by akilraj » 2018/07/08 16:24:01

yum update also not working. It throws lots of error as these.

User avatar
avij
Forum Moderator
Posts: 2617
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: OpenStack installation Problem

Post by avij » 2018/07/08 16:26:37

OK, let's fix your "yum update" then. Please post the full "yum update" output. You can also use pastebin.centos.org if the output is too large to fit into a forum post.

I can also confirm that the dependency problems you mentioned are not present in 7.5.1804, so updating to that version is a good goal.

User avatar
avij
Forum Moderator
Posts: 2617
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: OpenStack installation Problem

Post by avij » 2018/07/08 16:28:33

You may need to see the "rdma" entry on https://wiki.centos.org/Manuals/Release ... ntOS7.1708 to fix some dependency problems.

akilraj
Posts: 4
Joined: 2018/06/28 11:53:09

Re: OpenStack installation Problem

Post by akilraj » 2018/07/08 16:29:15

Thanks I will post the output in 12Hours from now.

hunter86_bg
Posts: 1213
Joined: 2015/02/17 15:14:33
Location: Bulgaria
Contact:

Re: OpenStack installation Problem

Post by hunter86_bg » 2018/07/09 04:49:37

By the way, is there any reason not to use RDO Project ?

akilraj
Posts: 4
Joined: 2018/06/28 11:53:09

Re: OpenStack installation Problem

Post by akilraj » 2018/07/09 06:08:12

Output of yum update
http://pastebin.centos.org/927236/raw/

I tried yum update rdma-core.x86_64 && yum update
and its output is
http://pastebin.centos.org/927406/raw/

User avatar
avij
Forum Moderator
Posts: 2617
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: OpenStack installation Problem

Post by avij » 2018/07/09 07:30:03

OK, so ..

You really shouldn't have the vault repositories enabled. Those are the repositories that refer to some specific past version like C7.1.1503-base. You should disable those with yum-config-manager --disable 'C7.*'. yum-config-manager is in yum-utils. If you don't have it or can't install it, you need to edit /etc/yum.repos.d/CentOS-Vault.repo to add enabled=0 into all repository configs in that file.

You also seem to have rdo-qemu-ev repository enabled. That may also cause some odd interactions.

Let's try an update with all the other repositories disabled. This may work:

Code: Select all

yum update --disablerepo=\* --enablerepo=base,updates

Post Reply